[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.DoUpdateAction

Tries all applicable components to update an action.

## Declaration

Source position: forms.pp line 690

`protected function TCustomForm.DoUpdateAction(`
`TheAction: TBasicAction`
`):Boolean;`

## Arguments

`TheAction` |  | Action instance passed as an argument and updated by component(s) on the form.

## Function result

True when the action was updated.

## See also

DoExecuteAction |  | Asks all applicable components to execute an action.